﻿<div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Calendar Setting</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form class="form fv-plugins-bootstrap fv-plugins-framework" id="calendar_setting_form">
            <div class="modal-body">
                @(await Component.InvokeAsync("WorkingHour"))
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit">
                    <i class="la la-save"></i> Save
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    $("#btn_submit").click(function (e) {
        e.preventDefault();
        var btn = KTUtil.getById("btn_submit");
        var workingHours = getWorkingHours();
        var hasError = workingHours.length != 7;
        if (!hasError) {
            KTUtil.btnWait(btn, "spinner spinner-right spinner-white pr-15", "Please wait");
            $.post("adviser/dashboard/savecalendarsetting", { workingHour: workingHours }, function (response) {
                $("#CalendarSettingModal").modal('hide');
                var frm_id = $(this).attr('id');
                if (response) {
                    if (response.success) {
                        updateBusinessHours();
                        toastr.options = toastrOptions;
                        toastr.clear();
                        toastr.success(response.message);
                    }
                    else
                        _showFormMessage(frm_id, "danger", response.message, "fas fa-exclamation-triangle");
                }
                else
                    _showFormMessage("kt_login_signin_form", "danger", "Error Occur", "fas fa-exclamation-triangle")
                KTUtil.btnRelease(btn);
            })
        }
        else
            _showFormMessage("calendar_setting_form", "danger", "Start Time must be less than End Time", "fas fa-exclamation-triangle");
    });
</script>